netatalk: nbp.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nbp.h File Reference
`#include <sys/types.h>`
`#include <netatalk/at.h>`
`#include <netatalk/endian.h>`

Go to the source code of this file.

## Data Structures
struct | nbphdr
struct | nbptuple
struct | nbpnve

## Macros
#define | NBP_UNRGSTR_4ARGS 1
#define | ATP_OPEN_2ARGS 1
#define | SZ_NBPHDR 2
#define | SZ_NBPTUPLE 5
#define | NBPSTRLEN 32
#define | NBPOP_BRRQ 0x1
#define | NBPOP_LKUP 0x2
#define | NBPOP_LKUPREPLY 0x3
#define | NBPOP_FWD 0x4
#define | NBPOP_RGSTR 0x7
#define | NBPOP_UNRGSTR 0x8
#define | NBPOP_CONFIRM 0x9
#define | NBPOP_OK 0xa /* NBPOP_STATUS_REPLY */
#define | NBPOP_CLOSE_NOTE 0xb
#define | NBPOP_ERROR 0xf
#define | NBPMATCH_NOGLOB (1<<1)
#define | NBPMATCH_NOZONE (1<<2)

## Functions
int | nbp_name (const char *, char **, char **, char **)
int | nbp_do_lookup_op (const char *, const char *, const char *, struct nbpnve *, const int, const struct at_addr *, const struct at_addr *, uint8_t)
int | nbp_lookup (const char *, const char *, const char *, struct nbpnve *, const int, const struct at_addr *)
int | nbp_rgstr (struct sockaddr_at *, const char *, const char *, const char *)
int | nbp_unrgstr (const char *, const char *, const char *, const struct at_addr *)

## Macro Definition Documentation

## ◆ ATP_OPEN_2ARGS

#define ATP_OPEN_2ARGS 1

## ◆ NBP_UNRGSTR_4ARGS

#define NBP_UNRGSTR_4ARGS 1

## ◆ NBPMATCH_NOGLOB

#define NBPMATCH_NOGLOB (1<<1)

## ◆ NBPMATCH_NOZONE

#define NBPMATCH_NOZONE (1<<2)

## ◆ NBPOP_BRRQ

#define NBPOP_BRRQ 0x1

## ◆ NBPOP_CLOSE_NOTE

#define NBPOP_CLOSE_NOTE 0xb

## ◆ NBPOP_CONFIRM

#define NBPOP_CONFIRM 0x9

## ◆ NBPOP_ERROR

#define NBPOP_ERROR 0xf

## ◆ NBPOP_FWD

#define NBPOP_FWD 0x4

## ◆ NBPOP_LKUP

#define NBPOP_LKUP 0x2

## ◆ NBPOP_LKUPREPLY

#define NBPOP_LKUPREPLY 0x3

## ◆ NBPOP_OK

#define NBPOP_OK 0xa /* NBPOP_STATUS_REPLY */

## ◆ NBPOP_RGSTR

#define NBPOP_RGSTR 0x7

## ◆ NBPOP_UNRGSTR

#define NBPOP_UNRGSTR 0x8

## ◆ NBPSTRLEN

#define NBPSTRLEN 32

## ◆ SZ_NBPHDR

#define SZ_NBPHDR 2

## ◆ SZ_NBPTUPLE

#define SZ_NBPTUPLE 5

## Function Documentation

## ◆ nbp_do_lookup_op()

int nbp_do_lookup_op | ( | const char * | obj,
|  | const char * | type,
|  | const char * | zone,
|  | struct nbpnve * | nn,
|  | const int | nncnt,
|  | const struct at_addr * | srcaddr,
|  | const struct at_addr * | dstaddr,
|  | uint8_t | op )
| extern

## ◆ nbp_lookup()

int nbp_lookup | ( | const char * | obj,
|  | const char * | type,
|  | const char * | zone,
|  | struct nbpnve * | nn,
|  | const int | nncnt,
|  | const struct at_addr * | ataddr )
| extern

## ◆ nbp_name()

int nbp_name | ( | const char * | name,
|  | char ** | objp,
|  | char ** | typep,
|  | char ** | zonep )
| extern

## ◆ nbp_rgstr()

int nbp_rgstr | ( | struct sockaddr_at * | sat,
|  | const char * | obj,
|  | const char * | type,
|  | const char * | zone )
| extern

## ◆ nbp_unrgstr()

int nbp_unrgstr | ( | const char * | obj,
|  | const char * | type,
|  | const char * | zone,
|  | const struct at_addr * | addr )
| extern